> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob Account Stats

> Diese Dokumentation bietet einen umfassenden Überblick über den Endpoint GET /v1/account/stats der SquareCloud Blob API.

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  Der API-Schlüssel für Ihr Konto. Sie finden ihn in Ihren [Kontoeinstellungen](https://squarecloud.app/de/account/security).
</ParamField>

<Warning>Der Status wird jede Minute aktualisiert.</Warning>

### Response

<ResponseField name="status" type="string">
  Gibt an, ob der Aufruf erfolgreich war. "success" bei Erfolg, andernfalls "error".
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="Objekt umschalten">
    <ResponseField name="usage" type="object">
      <ResponseField name="objects" type="number">
        Die Gesamtzahl der Objekte in Ihrem Konto.
      </ResponseField>

      <ResponseField name="storage" type="number">
        Die Gesamtgröße aller Objekte in Ihrem Konto, in Bytes.
      </ResponseField>
    </ResponseField>

    <ResponseField name="plan" type="object">
      <ResponseField name="included" type="number">
        Die im Plan enthaltene Gesamtspeichergröße, in Bytes.
      </ResponseField>
    </ResponseField>

    <ResponseField name="billing" type="object">
      <ResponseField name="extraStorage" type="number">
        Der zusätzlich genutzte Speicherplatz, in Bytes.
      </ResponseField>

      <ResponseField name="storagePrice" type="number">
        Der Gesamtpreis des Speichers für alle Objekte in Ihrem Konto, in BRL.
      </ResponseField>

      <ResponseField name="objectsPrice" type="number">
        Der Gesamtpreis aller Objekte in Ihrem Konto, in BRL.
      </ResponseField>

      <ResponseField name="totalEstimate" type="number">
        Der Gesamtpreis aller Objekte in Ihrem Konto, in BRL.
      </ResponseField>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response - [1m cache] theme={null}
  {
    "status": "success",
    "response": {
      "usage": {
        "objects": 0,
        "storage": 0
      },
      "plan": {
        "included": 0
      },
      "billing": {
        "extraStorage": 0,
        "storagePrice": 0,
        "objectsPrice": 0,
        "totalEstimate": 0
      }
    }
  }
  ```
</ResponseExample>

### Troubleshooting

<Tabs>
  <Tab title="401 Status Code">
    ### Unauthorized

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="429 Status Code">
    ### Rate limited

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // Stats rate limit reached (20 requests per 60s window).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
